<?php include $app->getModuleRoot() . 'common/view/header.html.php';?>
<?php include $app->getModuleRoot() . 'common/view/kindeditor.html.php';?>
<div id="mainContent" class="main-content fade">
  <div class="center-block">
    <div class="main-header">
      <h2><?php echo $lang->oidcauth->edit;?></h2>
    </div>
    <form class="load-indicator main-form form-ajax" method='post' enctype='multipart/form-data' id='dataform'>
      <table class="table table-form">
        <tbody>
          <tr>
            <th class='w-110px'><?php echo $lang->oidcauth->appName;?></th>
            <td><?php echo html::input('appName', $application->appName, "class='form-control'");?></td>
            <td></td>
          </tr>
          <tr>
            <th><?php echo $lang->oidcauth->homePageURL;?></th>
            <td><?php echo html::input('homePageURL', $application->homePageURL, "class='form-control'");?></td>
          </tr>
          <tr>
            <th><?php echo $lang->oidcauth->callbackURL;?></th>
            <td><?php echo html::input('callbackURL', $application->callbackURL, "class='form-control'");?></td>
          </tr>
          <tr>
            <th><?php echo $lang->oidcauth->integration;?></th>
            <td><?php echo html::textarea('integration', $application->integration, "rows='10' class='form-control kindeditor'");?></td>
          </tr>
          <tr>
            <th><?php echo $lang->oidcauth->register;?></th>
            <td>
              <div><?php echo html::radio('register', $lang->oidcauth->registerList, $application->register);?></div>
            </td>
          </tr>
          <tr>
            <th><?php echo $lang->oidcauth->defaultGroup;?></th>
            <td>
              <div><?php echo html::select('defaultGroup', $groups, $application->defaultGroup, "class='form-control chosen'");?></div>
            </td>
            <td class="text-muted"><?php echo $lang->oidcauth->groupDesc;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->oidcauth->status;?></th>
            <td>
              <div><?php echo html::radio('status', $lang->oidcauth->statusList, $application->status);?></div>
            </td>
          </tr>
          <tr>
            <td colspan='2' class='form-actions text-center'><?php echo html::submitButton() . html::backButton();?></td>
          </tr>
        </tbody>
    </form>
  </div>
</div>
<?php include $app->getModuleRoot() . 'common/view/footer.html.php';?>
