<?php
$authList = $this->loadModel('ssoauth')->getEnableAuthItems();
$showAuth = empty($authList) ? false : true;
?>

<?php if($showAuth):?>
<link rel="stylesheet" href="<?php echo $this->app->getWebRoot();?>static/oidc/font/iconfont.css">
<div id="OIDC" class="hidden">
  <div style="display: flex; justify-content: space-between; align-items: center; margin-top: 20px;">
    <div style="width: 100px;">
      <span style="color: rgb(155, 158, 160);"><?php echo $lang->user->other;?></span>
    </div>
    <div style="display: table-row-group;">
      <?php foreach($authList as $authType => $auth):?>
      <?php $locateUrl = $this->ssoauth->getAuthUrl($authType, $auth);?>
      <span style="padding: 8px 2px; margin-top: 4px;"><a href="<?php echo $locateUrl;?>"><i class="iconfont icon-<?php echo zget($config->ssoauth->iconList, $authType);?>" style="font-size: 1.6em;"></i></a></span>
      <?php endforeach;?>
    </div>
  </div>
</div>

<script>
var authElement = $('#OIDC').html();
$('#loginForm').append(authElement);
</script>
<?php endif;?>
