<?php
global $lang;

$config->requestlog->search['module'] = 'requestlog';

$config->requestlog->search['fields']['objectType']  = $lang->requestlog->objectType;
$config->requestlog->search['fields']['purpose']     = $lang->requestlog->purpose;
$config->requestlog->search['fields']['id']          = $lang->requestlog->id;
$config->requestlog->search['fields']['status']      = $lang->requestlog->status;
$config->requestlog->search['fields']['requestDate'] = $lang->requestlog->requestDate;

$config->requestlog->search['params']['objectType']  = array('operator' => '=', 'control' => 'select', 'values' => array('' => '') + $lang->requestlog->objectTypeList);
$config->requestlog->search['params']['purpose']     = array('operator' => '=', 'control' => 'select', 'values' => array('' => '') + $lang->requestlog->purposeList);
$config->requestlog->search['params']['id']          = array('operator' => '=', 'control' => 'input',  'values' => '');
$config->requestlog->search['params']['status']      = array('operator' => '=', 'control' => 'select', 'values' => array('' => '') + $lang->requestlog->statusList);
$config->requestlog->search['params']['requestDate'] = array('operator' => '=', 'control' => 'input',  'values' => '', 'class' => 'date');

$config->requestlog->datatable = new stdclass();
$config->requestlog->datatable->defaultField = array('id', 'url', 'objectType', 'purpose', 'requestType', 'status', 'params', 'response', 'requestDate', 'actions');

$config->requestlog->datatable->fieldList['id']['title']    = 'idAB';
$config->requestlog->datatable->fieldList['id']['fixed']    = 'left';
$config->requestlog->datatable->fieldList['id']['width']    = '70';
$config->requestlog->datatable->fieldList['id']['required'] = 'yes';

$config->requestlog->datatable->fieldList['url']['title']    = 'url';
$config->requestlog->datatable->fieldList['url']['fixed']    = 'left';
$config->requestlog->datatable->fieldList['url']['width']    = 'auto';
$config->requestlog->datatable->fieldList['url']['required'] = 'yes';
$config->requestlog->datatable->fieldList['url']['minWidth'] = '200';

$config->requestlog->datatable->fieldList['objectType']['title']    = 'objectType';
$config->requestlog->datatable->fieldList['objectType']['fixed']    = 'no';
$config->requestlog->datatable->fieldList['objectType']['width']    = '160';
$config->requestlog->datatable->fieldList['objectType']['required'] = 'no';

$config->requestlog->datatable->fieldList['purpose']['title']    = 'purpose';
$config->requestlog->datatable->fieldList['purpose']['fixed']    = 'no';
$config->requestlog->datatable->fieldList['purpose']['width']    = '160';
$config->requestlog->datatable->fieldList['purpose']['required'] = 'no';

$config->requestlog->datatable->fieldList['requestType']['title']    = 'requestType';
$config->requestlog->datatable->fieldList['requestType']['fixed']    = 'no';
$config->requestlog->datatable->fieldList['requestType']['width']    = '100';
$config->requestlog->datatable->fieldList['requestType']['required'] = 'no';

$config->requestlog->datatable->fieldList['status']['title']    = 'status';
$config->requestlog->datatable->fieldList['status']['fixed']    = 'no';
$config->requestlog->datatable->fieldList['status']['width']    = '100';
$config->requestlog->datatable->fieldList['status']['required'] = 'no';

$config->requestlog->datatable->fieldList['params']['title']    = 'params';
$config->requestlog->datatable->fieldList['params']['fixed']    = 'no';
$config->requestlog->datatable->fieldList['params']['width']    = '80';
$config->requestlog->datatable->fieldList['params']['required'] = 'no';

$config->requestlog->datatable->fieldList['response']['title']    = 'response';
$config->requestlog->datatable->fieldList['response']['fixed']    = 'no';
$config->requestlog->datatable->fieldList['response']['width']    = '80';
$config->requestlog->datatable->fieldList['response']['required'] = 'no';

$config->requestlog->datatable->fieldList['requestDate']['title']    = 'requestDate';
$config->requestlog->datatable->fieldList['requestDate']['fixed']    = 'no';
$config->requestlog->datatable->fieldList['requestDate']['width']    = '160';
$config->requestlog->datatable->fieldList['requestDate']['required'] = 'no';

$config->requestlog->datatable->fieldList['actions']['title']    = 'actions';
$config->requestlog->datatable->fieldList['actions']['fixed']    = 'right';
$config->requestlog->datatable->fieldList['actions']['width']    = '100';
$config->requestlog->datatable->fieldList['actions']['required'] = 'yes';
